<template>
  <v-app>
    <v-container>
      <v-layout>
        <v-dialog v-model="dialoginv" width="650">
          <v-card>
            <v-toolbar class="elevation-0" color="#6a7d69">
              <v-card-title
                class="headline"
                style="color:#efdbd4; font-weight:bold;"
                >{{ dialoginvname }}</v-card-title
              >
              <v-spacer />
              <v-btn icon dark>
                <v-icon color="#efdbd4" @click="dialoginv = false"
                  >close</v-icon
                >
              </v-btn>
            </v-toolbar>
            {{ billsview }}
            <v-data-table
              class="elevation-0 custom-table-cell"
              :headers="headers"
              :items="billsview"
              item-key="Invoice_no"
              disable-initial-sort
              hide-actions
            >
              <template
                v-slot:items="props"
                v-bind:class="{ 'active-class-name': isActive(sidemenu) }"
              >
                <tr style="cursor: pointer;">
                  <td style="color:#6a7d69;">
                    <strong>{{ props.item.order_id }}</strong>
                  </td>
                  <!-- <td style="color:#6a7d69;"><strong>{{ props.item.Invoice_no }}</strong></td> -->
                  <td class="text-xs-left">
                    {{ addCommas(parseFloat(props.item.Sub_total).toFixed(2)) }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.vat_amount).toFixed(2))
                    }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.wht_amount).toFixed(2))
                    }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.Grand_total).toFixed(2))
                    }}
                  </td>
                </tr>
              </template>
            </v-data-table>
            <!-- <v-card-actions>
              </v-card-actions> -->
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogtimeout" persistent width="420">
          <v-card>
            <v-card-title class="headline">Session Expired</v-card-title>
            <div style="padding-left:20px;">
              You have left this browser for 5 minutes. Please Login again.
            </div>
            <v-card-actions>
              <br /><br /><br />
              <v-spacer></v-spacer>
              <center>
                <v-btn style="color:white;" color="#6a7d69" text @click="logout"
                  >OK</v-btn
                >
              </center>
            </v-card-actions>
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogloader" persistent width="400">
          <v-card color="#6a7d69" dark>
            <v-card-text>
              Please wait while we are processing your request...
              <v-progress-linear
                indeterminate
                color="white"
                class="mb-0"
              ></v-progress-linear>
            </v-card-text>
          </v-card>
        </v-dialog>
        <v-flex md12>
          <div id="app">
            <v-app id="inspire">
              <v-flex v-if="!mobileView">
                <!-- <li class="step"><a href="/unpaidbill" style="color:#efdbd4;">1. Select Invoices</a></li>
                        <li class="step" style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li class="active step">2. Summary Selected Invoices</li>
                        <li class="step" style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li class="step" style="color:#efdbd4;">3. Payment</li> -->
                <v-progress-linear
                  v-model="valueDeterminate"
                  background-color="#C1C9D2"
                  color="#3A8300"
                ></v-progress-linear>

                <v-stepper>
                  <v-stepper-header>
                    <v-stepper-step step="" complete color="#3A8300"
                      ><a href="/unpaidbill"
                        >เลือกรายการจ่ายเงิน</a
                      ></v-stepper-step
                    >
                    <v-stepper-step
                      complete
                      color="#D7B30B"
                      editable
                      edit-icon="mdi-circle"
                      step=""
                      >สรุปการสั่งจ่ายเงิน</v-stepper-step
                    >
                    <v-stepper-step
                      complete
                      color="#D5D0CF"
                      editable
                      edit-icon="mdi-circle"
                      step="3"
                      >ชำระเงิน</v-stepper-step
                    >
                  </v-stepper-header>
                </v-stepper>
              </v-flex>

              <!-- --------------- mobile menu ----------------- -->
              <v-card v-if="mobileView">
                <!-- <v-stepper-header class="elevation-0" v-if="mobileView">
                        <v-stepper-step  step="1"><a href="/unpaidbill" style="margin-right:5px;">Select Invoices</a></v-stepper-step>
                        <v-divider></v-divider>
                        <v-stepper-step step="2" class="active" style="margin-right:5px;">Summary</v-stepper-step>
                        <v-divider></v-divider>
                        <v-stepper-step step="3">Payment</v-stepper-step>
                      </v-stepper-header> -->

                <v-progress-linear
                  v-model="valueDeterminate"
                  background-color="#C1C9D2"
                  color="#3A8300"
                ></v-progress-linear>

                <v-stepper>
                  <v-stepper-header>
                    <v-stepper-step step="" complete color="#3A8300"
                      ><a href="/unpaidbill"
                        >เลือกรายการจ่ายเงิน</a
                      ></v-stepper-step
                    >
                    <v-stepper-step
                      complete
                      color="#D7B30B"
                      editable
                      edit-icon="mdi-circle"
                      step=""
                      >สรุปการสั่งจ่ายเงิน</v-stepper-step
                    >
                    <v-stepper-step
                      complete
                      color="#D5D0CF"
                      editable
                      edit-icon="mdi-circle"
                      step="3"
                      >ชำระเงิน</v-stepper-step
                    >
                  </v-stepper-header>
                </v-stepper>
              </v-card>
              <!-- ----------------- end mobile ----------------- -->

              <v-card
                class="mx-auto my-12"
                elevation="0"
                width="100%"
                height="100%"
                style="margin-top:20px;margin-left:20px"
              >
                <v-card-text style="margin-left:10px;">
                  <p class="header">สรุปการสั่งจ่ายเงิน</p>

                  <!-- <p class="sub-header">Please check the invoices that you want to pay before proceed the payment process on the next page.</p> -->
                </v-card-text>
                <v-layout>
                  <!-- ---------------------- desktop ---------------------- -->
                  <v-flex xs10 v-if="!mobileView">
                    <!-- <v-data-table
                              :headers="headers"
                              :items="currenttotalpay"
                              item-key="Invoice_no"
                              class="elevation-1"
                              hide-actions
                              style="margin-left:15px;"
                              id="tableDetail"
                            >
                              <template v-slot:items="props">
                                <tr style="cursor: pointer;">
                                    <td data-label="No.">{{ props.index + 1}}</td>
                                    <td data-label="Invoice No." class="text-xs-right">{{ props.item.Invoice_no }}</td>
                                    <td data-label="Invoice Date" class="text-xs-right">{{ props.item.Invoice_date }}</td>
                                    <td data-label="WHT Rate(%)" class="text-xs-right">{{ props.item.Wht_rate }}</td>
                                    <td data-label="Total" class="text-xs-right">{{ props.item.Amount_Inc_VAT }}</td>
                                </tr>
                              </template>
                            </v-data-table> -->
                    <!-- <v-card style="margin-left:20px;" class="cardleft">
                             <v-card v-for="(result, i) in resultEachcompany" :key="i" class="elevation-0 cardin" >
                               <div style="padding:10px 10px 10px 10px;">
                                <span style="float:left; font-weight:700;font-size:16px;" class="namecpn">{{result.receiver_company}}</span>

                               <span style="float:right;font-weight:400;font-size:16px;">{{result.count}} รายการ <v-icon @click="invselectedmodal(result.receiver_company)">mdi-magnify</v-icon></span><br>
                               </div>
                              <div style="padding:4px 10px 10px 10px;">
                                <span style="float:left;font-size:14px;font-weight:300;color:#757575">Tax ID: {{result.TaxID}}</span>
                                <span style="float:right;font-size:16px;font-weight:700;color:#3A8300">฿{{addCommas(result.Pay_amount)}}</span><br>
                              </div>
                              <v-divider style="padding:10 5px 0px 5px;"></v-divider>
                            </v-card>

                            </v-card> -->
                    <!-- {{resultEachcompany}} -->

                    <div style="margin-left:20px">
                      <v-expansion-panel expand :readonly="readonly">
                        <v-expansion-panel-content
                          v-for="(result, i) in resultEachcompany"
                          :key="i"
                        >
                          <template v-slot:header>
                            <div
                              style="padding:0px 0px 0px 0px;"
                              @click="invselectedmodal(result.receiver_company)"
                            >
                              <span
                                style="float:left; font-weight:700;font-size:16px;"
                                class="namecpn"
                                >{{ result.receiver_company }}</span
                              >
                              <!-- <div style="float:right;" v-for="(count, companyname) in counts" :key="companyname" v-if="companyname == result"  >{{count}} Item(s)<v-icon @click="test">mdi-magnify</v-icon></div><br>  -->
                              <!-- <div style="float:right;" v-for="(count, companyname) in result" :key="companyname" >{{count}} Item(s)<v-icon @click="test">mdi-magnify</v-icon></div><br>   -->
                              <span
                                style="float:right;font-weight:400;font-size:16px;"
                                >{{ result.count }} รายการ </span
                              ><br />
                              <span
                                style="float:left;font-size:14px;font-weight:300;color:#757575"
                                >Tax ID: {{ result.TaxID }}</span
                              >
                              <span
                                style="float:right;font-size:16px;font-weight:700;color:#3A8300"
                                >฿{{ addCommas(result.Pay_amount) }}</span
                              ><br />
                            </div>
                            <!-- <div style="padding:4px 10px 10px 10px;">
                                <span style="float:left;font-size:14px;font-weight:300;color:#757575">Tax ID: {{result.TaxID}}</span>
                                <span style="float:right;font-size:16px;font-weight:700;color:#3A8300">฿{{addCommas(result.Pay_amount)}}</span><br>
                              </div> -->
                          </template>
                          <v-card style="margin-left:20px;margin-right:20px">
                            <!-- <v-data-table
                                  class="elevation-0 custom-table-cell table-stylepanel"
                                  :headers="headers"
                                  :items="billsview"
                                  item-key="Invoice_no"
                                  disable-initial-sort
                                  hide-actions>
                                  <template v-slot:items="props" v-bind:class="{'active-class-name': isActive(sidemenu)}" >
                                  <tr style="cursor: pointer;">
                                    <td>{{props.item.order_id}}</td>
                                    <td style="padding-left:34px">{{ addCommas(parseFloat(props.item.Sub_total).toFixed(2)) }}</td>
                                    <td style="padding-left:34px">{{ addCommas(parseFloat(props.item.vat_amount).toFixed(2)) }}</td>
                                    <td style="padding-left:34px"> <v-card style="width:24px;height:24px"><v-img  :src="images.delete"></v-img></v-card></td>
                                  </tr>
                                  </template>
                             </v-data-table> -->
                            <!-- <v-data-table
                              class="elevation-0 custom-table-cell"
                              :headers="headers"
                              :items="datamock"
                              disable-initial-sort
                              hide-actions>
                              <template v-slot:items="props" >
                                <tr style="cursor: pointer;">
                                <td class="text-xs-right">{{props.item.refno}}</td>
                                <td class="text-xs-right">{{props.item.refno}}</td>
                                <td class="text-xs-right">{{props.item.refno}}</td>
                                </tr>
                              </template>
                            </v-data-table> -->
                          </v-card>
                        </v-expansion-panel-content>
                      </v-expansion-panel>
                    </div>
                  </v-flex>
                  <!-- ---------------------- end desktop ---------------------- -->

                  <!-- ---------------------- mobile ---------------------- -->
                  <v-flex xs12 v-if="mobileView">
                    <div style="margin-left:20px;margin-right:20px">
                      <v-expansion-panel expand :readonly="readonly">
                        <v-expansion-panel-content
                          v-for="(result, i) in resultEachcompany"
                          :key="i"
                        >
                          <template v-slot:header>
                            <div
                              style="padding:0px 0px 0px 0px;"
                              @click="invselectedmodal(result.receiver_company)"
                            >
                              <span
                                style="float:left; font-weight:700;font-size:16px;"
                                class="namecpn"
                                >{{ result.receiver_company }}</span
                              >
                              <!-- <div style="float:right;" v-for="(count, companyname) in counts" :key="companyname" v-if="companyname == result"  >{{count}} Item(s)<v-icon @click="test">mdi-magnify</v-icon></div><br>  -->
                              <!-- <div style="float:right;" v-for="(count, companyname) in result" :key="companyname" >{{count}} Item(s)<v-icon @click="test">mdi-magnify</v-icon></div><br>   -->
                              <span
                                style="float:right;font-weight:400;font-size:16px;"
                                >{{ result.count }} รายการ </span
                              ><br />
                              <span
                                style="float:left;font-size:14px;font-weight:300;color:#757575"
                                >Tax ID: {{ result.TaxID }}</span
                              >
                              <span
                                style="float:right;font-size:16px;font-weight:700;color:#3A8300"
                                >฿{{ addCommas(result.Pay_amount) }}</span
                              ><br />
                            </div>
                            <!-- <div style="padding:4px 10px 10px 10px;">
                                <span style="float:left;font-size:14px;font-weight:300;color:#757575">Tax ID: {{result.TaxID}}</span>
                                <span style="float:right;font-size:16px;font-weight:700;color:#3A8300">฿{{addCommas(result.Pay_amount)}}</span><br>
                              </div> -->
                          </template>
                          <v-card style="margin-left:20px;margin-right:20px">
                            <!-- <v-data-table
                                  class="elevation-0 custom-table-cell table-stylepanel"
                                  :headers="headers"
                                  :items="billsview"
                                  item-key="Invoice_no"
                                  disable-initial-sort
                                  hide-actions>
                                  <template v-slot:items="props" v-bind:class="{'active-class-name': isActive(sidemenu)}" >
                                  <tr style="cursor: pointer;">
                                    <td>{{props.item.order_id}}</td>
                                    <td style="padding-left:34px">{{ addCommas(parseFloat(props.item.Sub_total).toFixed(2)) }}</td>
                                    <td style="padding-left:34px">{{ addCommas(parseFloat(props.item.vat_amount).toFixed(2)) }}</td>
                                    <td style="padding-left:34px"> <v-card style="width:24px;height:24px"><v-img  :src="images.delete"></v-img></v-card></td>
                                  </tr>
                                  </template>
                             </v-data-table> -->
                            <!-- <v-data-table
                                    class="elevation-0 custom-table-cell"
                                    :headers="headers"
                                    :items="datamock"
                                    disable-initial-sort
                                    hide-actions>
                                  <template v-slot:items="props" >
                                    <tr style="cursor: pointer;">

                                    <td class="text-xs-right">{{props.item.refno}}</td>
                                    <td class="text-xs-right">{{props.item.refno}}</td>
                                    <td class="text-xs-right">{{props.item.refno}}</td>
                                    <td class="text-xs-right"> <v-icon  color="#3A8300" left>mdi-bank</v-icon></td>
                                    </tr>
                                  </template>
                                  </v-data-table> -->
                          </v-card>
                        </v-expansion-panel-content>
                      </v-expansion-panel>
                    </div>
                  </v-flex>
                  <!-- ---------------------- end mobile ---------------------- -->

                  <!-- ---------------------- desktop ---------------------- -->
                  <v-flex xs10 v-if="!mobileView">
                    <v-card width="440" height="auto" style="margin-left:20px;">
                      <v-card-text style="background-color:#3A8300;">
                        <v-layout
                          align-center
                          justify-end
                          row
                          wrap
                          justify-center
                        >
                          <v-flex xs9 class="textpay">ชำระ</v-flex>
                          <v-flex
                            xs3
                            style="text-align:right;"
                            class="textpayprice"
                            ><h4>
                              {{ currenttotalpay.length }} รายการ
                            </h4></v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap>
                          <v-flex md1 class="textpay">โดย</v-flex>
                          <v-flex
                            md11
                            style="text-align:right;"
                            class="textpayprice"
                            >{{ bizNameTH }}</v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวม</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿{{ addCommas(totalExcVat) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">ภาษี</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿{{ addCommas(totalvatamount) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex>
                            <v-flex class="textpay">ภาษีหัก ณ ที่จ่าย</v-flex>
                          </v-flex>
                          <v-flex
                            style="text-align:right;"
                            class="textpayprice"
                          >
                            ฿{{ addCommas(totalwht) }}
                          </v-flex>
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวมทั้งหมด</v-flex>
                          <v-flex
                            style="text-align:right;color:#D7B30B;font-weight:700;font-style:normal;font-size:24px;line-height: 32px;"
                            >{{ addCommas(totalpricepay_inc_fee) }}</v-flex
                          >
                        </v-layout>

                        <v-divider class="summarydata"></v-divider>
                        <v-btn
                          @click="pay"
                          class="paybtn white--text"
                          block
                          color="#D7B30B"
                          >ชำระเงิน</v-btn
                        >
                        <v-layout justify-end row wrap>
                          <v-flex
                            style="text-align:center;font-size:16px;font-weight:400"
                            ><a href="/unpaidbill" style="color:#FFF7D2;"
                              >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                            ></v-flex
                          >
                        </v-layout>
                      </v-card-text>
                      <form
                        ref="paymentform"
                        name="PostForm"
                        method="POST"
                        :action="paymenturl"
                      >
                        <input
                          name="access_token"
                          type="hidden"
                          :value="paymenttoken"
                        />
                      </form>
                    </v-card>
                    <v-flex py-3></v-flex>
                    <p hidden>{{ isIdle }}</p>
                  </v-flex>
                  <!-- ---------------------- end desktop ---------------------- -->
                </v-layout>
                <!-- ---------------------- mobile ---------------------- -->
                <v-layout v-if="mobileView" style="margin-top:30px">
                  <v-flex xs12 md12>
                    <v-card
                      width="auto"
                      height="auto"
                      style="margin-left:20px; font-size:12px;margin-right:20px"
                    >
                      <v-card-text
                        style="background-color:#3A8300; padding:16px;"
                      >
                        <v-layout align-center justify-end row wrap>
                          <v-flex xs9 class="textpay">ชำระ</v-flex>
                          <v-flex
                            xs3
                            style="text-align:right;"
                            class="textpayprice"
                            ><h4>
                              {{ currenttotalpay.length }} รายการ
                            </h4></v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap>
                          <v-flex xs1 class="textpay">โดย</v-flex>
                          <v-flex
                            xs11
                            style="text-align:right;"
                            class="textpayprice"
                            ><p style="margin-bottom:0px;">
                              {{ bizNameTH }}
                            </p></v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>

                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวม</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿{{ addCommas(totalExcVat) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">ภาษี</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿{{ addCommas(totalvatamount) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex>
                            <v-flex class="textpay">ภาษีหัก ณ ที่จ่าย</v-flex>
                          </v-flex>
                          <v-flex
                            style="text-align:right;"
                            class="textpayprice"
                          >
                            ฿{{ addCommas(totalwht) }}
                          </v-flex>
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวมทั้งหมด</v-flex>
                          <v-flex
                            style="text-align:right;color:#D7B30B;font-weight:700;font-style:normal;font-size:24px;line-height: 32px;"
                            >{{ addCommas(totalpricepay_inc_fee) }}</v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-btn
                          @click="pay"
                          class="paybtn white--text"
                          block
                          color="#D7B30B"
                          >ชำระเงิน</v-btn
                        >
                        <v-layout justify-end row wrap>
                          <v-flex
                            style="text-align:center;font-size:16px;font-weight:400"
                            ><a href="/unpaidbill" style="color:#FFF7D2;"
                              >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                            ></v-flex
                          >
                        </v-layout>
                      </v-card-text>
                      <form
                        ref="paymentform"
                        name="PostForm"
                        method="POST"
                        :action="paymenturl"
                      >
                        <input
                          name="access_token"
                          type="hidden"
                          :value="paymenttoken"
                        />
                      </form>
                    </v-card>
                    <v-flex py-3></v-flex>
                    <p hidden>{{ isIdle }}</p>
                  </v-flex>
                </v-layout>
                <!-- ---------------------- end mobile ---------------------- -->
              </v-card>
            </v-app>
          </div>
        </v-flex>
      </v-layout>
    </v-container>
  </v-app>
</template>
<script>
import { sync } from "vuex-pathify";
import moment from "moment";
// import { VStepper } from 'vue-stepper-component'
moment.locale("en");
export default {
  components: {
    // VStepper
  },
  data() {
    return {
      datamock: [],
      valueDeterminate: 66.6,
      dialoginvname: "",
      tempselectinv: [],
      dialoginv: false,
      readonly: false,
      resultEachcompany: [],
      counts: {},
      allcompanyname: ["a", "b", "Gg Payment"],
      // allcompanyname:[],
      currenttotalpay: JSON.parse(localStorage.getItem("currenttotalpay")),
      totalpricepay: parseFloat(
        this.$cookies.get("totalpricepay").replace(/,/g, "")
      ).toFixed(2),
      totalExcVat: parseFloat(
        this.$cookies.get("totalExcVat").replace(/,/g, "")
      ).toFixed(2),
      totalvatamount: parseFloat(
        this.$cookies.get("totalvatamount").replace(/,/g, "")
      ).toFixed(2),
      totalwht: parseFloat(
        this.$cookies.get("totalwht").replace(/,/g, "")
      ).toFixed(2),
      maintotalpricepay: this.$cookies.get("totalpricepay"),
      totalfee: 0.0,
      sumfee: 0.0,
      totalvatoffee: 0.0,
      totalpricepay_inc_fee: 0.0,
      dialogtimeout: false,
      chkboxWHT: "",
      tout: "",
      selectedcpn: this.$cookies.get("selectedcpn"),
      bizNameTH: this.$cookies.get("bizNameTH"),
      bizType: this.$cookies.get("bizType"),
      nameENG: this.$cookies.get("nameENG"),
      firstnameENG: this.$cookies.get("firstnameENG"),
      firstlastTH: this.$cookies.get("firstlastTH"),
      dialogloader: false,
      notifications: false,
      sound: true,
      widgets: false,
      tempinvoices: [],
      paymenttoken: "",
      getname: "",
      dialog: false,
      imageCompany: localStorage.getItem("imageCompany"),
      images: {
        logo: require("../assets/inet_logo.jpg"),
        user: require("../assets/Ellipse 8.png"),
        logout: require("../assets/arrow_drop_down.png"),
        delete: require("../assets/Delete.png")
      },
      headers: [
        { text: "Doc No.", value: "Ref_No.", sortable: false, align: "left" },
        {
          text: "Description",
          value: "Description",
          sortable: false,
          align: "right"
        },
        {
          text: "WHT Rate (%)",
          value: "WHT_Rate",
          sortable: false,
          align: "right"
        }
        // { text: "จัดการ", value: "Manage", sortable: false, align: "right" }
      ]
    };
  },
  beforeCreate() {
    if (!this.$session.exists()) {
      this.$router.push("/");
    }
  },
  created() {
    this.dataEachcompany();
    this.calfee();
    // console.log(this.currenttotalpay);
    // this.currenttotalpay.forEach(select => {this.allcompanyname.push(select.receiver_company) }) //push all status in arr
    // this.allcompanyname = new Set(this.allcompanyname) // seperate duplicate arr
    // this.allcompanyname = [...this.allcompanyname] // dic to arr
    // console.log(this.allcompanyname);
    this.handleView();
    window.addEventListener("resize", this.handleView);

    // if(this.$cookies.get('chkboxWHT') == null){
    //   this.chkboxWHT = false
    //   this.wht()
    //   // this.chkboxWHT = true // if want to use wht
    //   // this.$cookies.set('totalwht','')
    // }
    // else{
    //   // this.chkboxWHT = (this.$cookies.get('chkboxWHT'))
    //   this.chkboxWHT = (this.$cookies.get('chkboxWHT') === "true");
    //   this.totalwht = this.$cookies.get('totalwht')
    //   this.totalpricepay = this.$cookies.get('totalpricepay')
    // }
  },
  initialize() {
    this.datamock = [
      {
        refno: "001",
        description: "Quisque donec mattis quis sagittis.",
        whtrate: "90 %"
      },
      {
        refno: "002",
        description: "Quisque donec mattis quis sagittis.",
        whtrate: "90 %"
      }
    ];
  },
  methods: {
    invselectedmodal(invname) {
      this.dialoginvname = invname;
      this.tempselectinv = this.currenttotalpay.filter(
        x => x.receiver_company == invname
      );
      // this.dialoginv = true
      console.log(">>>>>", invname);
    },
    sessionTimeout() {
      if (this.isIdle == true) {
        this.$session.destroy();
        this.dialogtimeout = true;
      }
    },
    addCommas(nStr) {
      nStr += "";
      var x = nStr.split(".");
      var x1 = x[0];
      var x2 = x.length > 1 ? "." + x[1] : "";
      var rgx = /(\d+)(\d{3})/;
      while (rgx.test(x1)) {
        x1 = x1.replace(rgx, "$1" + "," + "$2");
      }
      return x1 + x2;
    },
    async pay() {
      try {
        this.tempinvoices = this.currenttotalpay.map(
          invoice => invoice["Invoice_no"]
        );
        if (this.tempinvoices.length == 0) {
          alert("Please select invoice.");
          this.$router.push("/unpaidbill");
        } else {
          this.$router.push("/checkout");
        }
      } catch (error) {
        console.log(error.message);
      }
    },
    // wht(){
    //   // this.maintotalpricepay =  this.$cookies.get('totalpricepay')
    //   // this.totalwht = parseFloat((this.$cookies.get('totalwht').replace(/,/g, ''))).toFixed(2)
    //   // parseFloat((this.$cookies.get('totalwht').replace(/,/g, ''))).toFixed(2)
    //   if (this.totalwht < 0){
    //     this.totalwht = this.$cookies.get('totalwht')
    //     alert('Invalid Withholding tax')
    //   }
    //   if (this.chkboxWHT === true){
    //     this.totalpricepay = parseFloat(this.maintotalpricepay.replace(/,/g, ''))+parseFloat(this.totalwht.replace(/,/g, ''))
    //     this.totalpricepay = this.totalpricepay.toFixed(2)
    //     this.$cookies.set('chkboxWHT',true)
    //   }
    //   else{
    //     this.totalpricepay = parseFloat(this.totalpricepay.replace(/,/g, ''))-parseFloat(this.totalwht.replace(/,/g, ''))
    //     this.totalpricepay = this.totalpricepay.toFixed(2)
    //     this.maintotalpricepay = this.totalpricepay
    //     this.$cookies.set('chkboxWHT',false)
    //   }
    //   this.$cookies.set('totalpricepay',this.totalpricepay)
    //   this.$cookies.set('totalwht',this.totalwht)
    // },
    calfee() {
      this.totalfee = 0.0;
      this.totalvatoffee = 0.0;
      // this.sumfee = 0.0
      var fee_rate = this.$cookies.get("fee_rate");
      var vatoffee_rate = this.$cookies.get("vatoffee_rate");
      // this.totalfee = (fee_rate * this.resultEachcompany.length).toFixed(2) // have fee
      // this.totalvatoffee = (vatoffee_rate* this.resultEachcompany.length).toFixed(2) //have fee
      // this.sumfee = this.resultEachcompany.length * (parseFloat(fee_rate) + parseFloat(vatoffee_rate)) //not relate
      // console.log(typeof this.sumfee);
      // this.totalpricepay_inc_fee = (parseFloat(this.totalpricepay) + parseFloat(this.totalfee) + parseFloat(this.totalvatoffee)).toFixed(2)
      this.totalpricepay_inc_fee = (
        parseFloat(this.totalExcVat) +
        parseFloat(this.totalvatamount) +
        parseFloat(this.totalfee) +
        parseFloat(this.totalvatoffee)
      ).toFixed(2);
      console.log("totalExcVat", this.totalExcVat);
      console.log("this.totalvatamount", this.totalvatamount);
      console.log("this.totalpricepay_inc_fee", this.totalpricepay_inc_fee);
      this.$cookies.set("totalfee", this.totalfee);
      this.$cookies.set("totalvatoffee", this.totalvatoffee);
      this.$cookies.set("totalpricepay_inc_fee", this.totalpricepay_inc_fee);
    },
    logout() {
      this.$session.destroy();
      this.$cookies.keys().forEach(key => {
        this.$cookies.remove(key);
      });
      this.$router.push("/");
    },
    handleView() {
      this.mobileView = window.innerWidth <= 990;
    },
    dataEachcompany() {
      let vm = this;
      // console.log('currenttotalpay');
      // console.log(this.currenttotalpay);
      this.currenttotalpay.forEach(function(a) {
        // console.log('a');
        // console.log(this[a.receiver_company]);
        if (!this[a.receiver_company]) {
          this[a.receiver_company] = {
            receiver_company: a.receiver_company,
            TaxID: a.receiver_tax_id,
            Pay_amount: 0,
            count: 0
          };
          vm.resultEachcompany.push(this[a.receiver_company]);
        }
        this[a.receiver_company].count++;
        this[a.receiver_company].Pay_amount += a.amount_inc_vat;
        // this[a.receiver_company].Pay_amount += a.amount_inc_vat - a.wht_amount
      }, Object.create(null));
    }
  },
  computed: {
    paymenturl() {
      return process.env.VUE_APP_PAYMENTURL;
    },
    account_id() {
      return this.$cookies.get("account_id");
    },
    username() {
      return this.$cookies.get("username");
    },
    isIdle() {
      this.tout = this.$store.state.idleVue.isIdle;
      return this.tout;
    },
    billsview() {
      return this.tempselectinv.map(bill => {
        return {
          ...bill,
          receiver_company: bill.receiver_company,
          Status:
            parseInt(moment(new Date()).format("YYYYMMDD")) > bill.DueDate
              ? "Overdue"
              : "Unpaid"
        };
      });
    }
  },
  watch: {
    tout() {
      this.sessionTimeout();
    }
    // totalwht(){
    //   if(this.chkboxWHT === true){
    //     this.wht()
    //   }
    // }
  }
};
</script>

<style scoped>
.table-stylepanel {
  border-collapse: collapse;
  border-radius: 1em;
  border: 1px solid #e0e0e0;
  margin-bottom: 12px;
}
.namecpn {
  max-width: 80%;
}
ul li {
  display: inline;
  color: gray;
  font-weight: bold;
  font-size: 16px;
}
a {
  color: grey;
  text-decoration: none;
}
a:hover {
  color: #538795;
  text-decoration: underline;
}
.active {
  color: #875c49;
}
.summarydata {
  margin-top: 14px;
}
.summaryprice {
  font-size: 16px;
  font-weight: bold;
  background-color: #f0f0f0;
  width: auto;
  height: 35px;
  padding-top: 5px;
}
.textpay {
  font-family: "Sarabun", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: #ffffff;
  line-height: 26px;
}

.textpayprice {
  font-family: "Sarabun", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 18px;
  color: #ffffff;
  line-height: 26px;
}

.paybtn {
  margin-top: 14px;
  margin-bottom: 14px;
  text-align: center;
  font-size: 16px;
  border-radius: 4px;
  font-weight: 700;
  line-height: 24px;
}
.v-card.mx-auto {
  width: 1000px;
}
.v-stepper__header {
  size: 20%;
}
.logo {
  max-width: 100px;
}
.header {
  font-size: 24px;
  font-weight: 700;
  color: #212121;
  margin-bottom: 8px;
  font-family: "Sarabun", sans-serif;
}
.sub-header {
  color: #cfb9b4;
  font-size: 14px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.cardleft {
  width: 500px;
  height: 400px;
}
@media (max-width: 500px) {
  .cardin {
    min-height: 80px;
  }
  .namecpn {
    max-width: 60%;
  }
  .cardleft {
    width: 95%;
    height: auto;
  }
  .v-card.mx-auto {
    width: auto;
  }
  #tableDetail thead {
    display: none;
  }
  #tableDetail tr:nth-child(even) {
    background-color: #d1e3e8;
  }
  #tableDetail,
  #tableDetail tr,
  #tableDetail td {
    display: block;
    width: 100%;
  }
  #tableDetail tr,
  #tableDetail td {
    border: 1px solid #ddd;
    text-align: center;
  }
  #tableDetail tr {
    margin-bottom: 15px;
  }
  #tableDetail td {
    overflow-wrap: break-word;
    display: inline-block;
    word-break: break-word;
    text-align: right;
    padding-left: 50%;
    position: relative;
    height: 50px;
  }
  #tableDetail td.longtext {
    min-height: 40px;
    height: fit-content;
    word-break: break-word;
  }
  #tableDetail td::before {
    content: attr(data-label);
    position: absolute;
    left: 0;
    width: 40%;
    padding-left: 15px;
    font-size: 13px;
    font-weight: bold;
    text-align: left;
  }
  .v-stepper__header {
    font-size: 12px;
    color: grey;
    font-weight: bold;
  }
  .v-stepper__step {
    padding: 14px;
  }
  .paybtn {
    margin-top: 14px;
    margin-bottom: 14px;
    text-align: center;
    font-size: 14px;
    border-radius: 4px;
  }
  .summarydata {
    margin-top: 13px;
  }
  .summaryprice {
    font-size: 15px;
    font-weight: bold;
    background-color: #f0f0f0;
    width: auto;
    height: 35px;
    padding-top: 5px;
  }
  .header {
    font-size: 18px;
    margin-bottom: 10px;
    font-weight: bold;
    color: #6a7d69;
  }
  .sub-header {
    color: #cfb9b4;
    font-size: 12px;
  }
  .theme--light.v-divider {
    border-color: white !important;
  }
}
</style>
